var Loader = require('..')

var loader = new Loader({ size:1024 })

loader
	.on('start',function(next) {
		console.log('start')
		next()
	})
	.on('error',function(err) {
		console.error(err)
	})
	.on('chunk',function(chunk,next) {
		setTimeout(function() {
			console.log('chunk:',chunk)
			next()
		},Math.random()*1000)
	})
	.on('complete',function() {
		console.log('complete:',arguments)
	})
document.getElementById('file').addEventListener('change',function(evt) {
	loader.load(evt.target.files[0])
  //setTimeout(function() {
	//	loader.cancel(function() {
	//		console.log('canceled')
	//	})
	//},5000)
})


